> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Token

> Add a custom token to your community



## OpenAPI

````yaml POST /v1/community/tokens
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/tokens:
    post:
      description: Add a custom token to your community
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
      requestBody:
        content:
          application/json:
            schema:
              example:
                chain: Base
                address: 0x...
              type: object
              properties:
                chain:
                  type: string
                  enum:
                    - Abstract
                    - ApeChain
                    - Arbitrum
                    - Atto
                    - Avalanche
                    - Base
                    - Berachain
                    - Blast
                    - BSC
                    - CosmosHub
                    - Cronos
                    - Ethereum
                    - Harmony
                    - HyperCore
                    - HyperEvm
                    - Initia
                    - Injective
                    - Intergaze
                    - Linea
                    - Mitosis
                    - Nano
                    - Nibiru
                    - Optimism
                    - Osmosis
                    - Pepecoin
                    - Plasma
                    - Polygon
                    - Robinhood
                    - SEDA
                    - Sei
                    - SeiEvm
                    - Solana
                    - Somnia
                    - Sonic
                    - Stargaze
                    - Terra
                    - Unichain
                    - Yominet
                    - Zaar
                    - zkCronos
                address:
                  type: string
                  minLength: 1
              required:
                - chain
                - address
      responses:
        '201':
          description: Custom token has been saved
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string

````